#include "Player.h"
#include "Enemy.h"
#include "program.h"

static
void play() {
    SpawnPlayer(ZeroVector);
    SpawnEnemy(MakeVector(1.f, 0.0f), EnemyIdle());
}

static
void tick() {}

static
void draw() {}

int main(int argc, char* argv[]) {
    struct ProgramSettings config = {
        .target_fps = 0,
        .title = "fencer",
        .view_resolution = {1920, 1080},
        .on_play = &play,
        .on_tick = &tick,
        .on_draw = &draw
    };
    program_run(&config);
}
